<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_round_white"
    android:layout_marginTop="@dimen/dp_15"
    tools:ignore="MissingDefaultResource">

    <com.ruffian.library.widget.RImageView
        android:id="@+id/img_goods"
        android:layout_width="@dimen/dp_89"
        android:layout_height="@dimen/dp_89"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginLeft="@dimen/dp_15"

        android:scaleType="fitXY"
        app:is_circle="false"
        app:corner_radius="@dimen/dp_5"/>

    <TextView
        android:id="@+id/tv_goods_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="@+id/img_goods"
        app:layout_constraintLeft_toRightOf="@+id/img_goods"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/tv_price"
        android:gravity="left"
        android:textSize="@dimen/sp_14"
        android:textColor="@color/col_313"
        android:layout_marginRight="@dimen/dp_12"
        android:layout_marginLeft="@dimen/dp_7"
        tools:text="中健健康智能手表血糖血脂尿酸风险长续航中健健康智能手表血糖血脂尿酸风险长续航中健健康智能手表血糖血脂尿酸风险长续航中健健康智能手表血糖血脂尿酸风险长续航..."
        android:maxLines="2"
        android:ellipsize="end"/>

    <TextView
        android:id="@+id/tv_price"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintLeft_toRightOf="@+id/img_goods"
        app:layout_constraintBottom_toTopOf="@+id/tv_line_price"
        android:textColor="@color/col_2621"
        android:textSize="@dimen/sp_15"
        android:layout_marginLeft="@dimen/dp_10"
        tools:text="￥1999.00"/>

    <TextView
        android:id="@+id/tv_line_price"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        app:layout_constraintLeft_toRightOf="@+id/img_goods"
        android:textColor="@color/col_c7c"
        app:layout_constraintBottom_toBottomOf="@+id/img_goods"
        android:textSize="@dimen/sp_13"
        android:layout_marginLeft="@dimen/dp_10"
        tools:text="￥1999.00"/>

</androidx.constraintlayout.widget.ConstraintLayout>